﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace GDSyncApi
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="GameDistribution")]
	public partial class Ny1DbDataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Extensibility Method Definitions
    partial void OnCreated();
    partial void InsertGame(Game instance);
    partial void UpdateGame(Game instance);
    partial void DeleteGame(Game instance);
    #endregion
		
		public Ny1DbDataContext() : 
				base(global::GDSyncApi.Properties.Settings.Default.FGSConnectionString, mappingSource)
		{
			OnCreated();
		}
		
		public Ny1DbDataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public Ny1DbDataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public Ny1DbDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public Ny1DbDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public System.Data.Linq.Table<Game> Games
		{
			get
			{
				return this.GetTable<Game>();
			}
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.APP_SyncGetGameFile")]
		public ISingleResult<Game> APP_SyncGetGameFile()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<Game>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.APP_SyncGetGameFileTemp")]
		public ISingleResult<Game> APP_SyncGetGameFileTemp()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<Game>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.APP_SyncErrorLog")]
		public int APP_SyncErrorLog([global::System.Data.Linq.Mapping.ParameterAttribute(Name="ERRORTYPE", DbType="Int")] System.Nullable<int> eRRORTYPE, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="LOGS", DbType="Text")] string lOGS, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="GAMEID", DbType="VarChar(40)")] string gAMEID)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), eRRORTYPE, lOGS, gAMEID);
			return ((int)(result.ReturnValue));
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Games")]
	public partial class Game : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private System.Nullable<int> _GameType;
		
		private string _GameMd5;
		
		private int _UserId;
		
		private System.Nullable<int> _CategoryId;
		
		private string _Title;
		
		private string _Description;
		
		private string _Instructions;
		
		private string _ExternalURL;
		
		private string _Filename;
		
		private System.Nullable<int> _Width;
		
		private System.Nullable<int> _Height;
		
		private string _ExternalThumbURL;
		
		private string _Thumbnail;
		
		private string _Tags;
		
		private string _URL;
		
		private System.Nullable<int> _Adv;
		
		private string _Filemd5;
		
		private string _Language;
		
		private string _SubmitState;
		
		private System.Nullable<System.DateTime> _AddedDate;
		
		private System.Nullable<System.DateTime> _SubmitionDate;
		
		private string _ServerName;
		
		private System.Nullable<bool> _Active;
		
		private bool _HasApi;
		
		private bool _PublicStats;
		
		private System.Nullable<System.DateTime> _ActivedDate;
		
		private System.Nullable<bool> _Warning;
		
		private int _Revision;
		
		private int _SyncForReport;
		
		private int _SyncForLeaseweb;
		
		private string _Link;
		
		private string _LinkSecure;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnGameTypeChanging(System.Nullable<int> value);
    partial void OnGameTypeChanged();
    partial void OnGameMd5Changing(string value);
    partial void OnGameMd5Changed();
    partial void OnUserIdChanging(int value);
    partial void OnUserIdChanged();
    partial void OnCategoryIdChanging(System.Nullable<int> value);
    partial void OnCategoryIdChanged();
    partial void OnTitleChanging(string value);
    partial void OnTitleChanged();
    partial void OnDescriptionChanging(string value);
    partial void OnDescriptionChanged();
    partial void OnInstructionsChanging(string value);
    partial void OnInstructionsChanged();
    partial void OnExternalURLChanging(string value);
    partial void OnExternalURLChanged();
    partial void OnFilenameChanging(string value);
    partial void OnFilenameChanged();
    partial void OnWidthChanging(System.Nullable<int> value);
    partial void OnWidthChanged();
    partial void OnHeightChanging(System.Nullable<int> value);
    partial void OnHeightChanged();
    partial void OnExternalThumbURLChanging(string value);
    partial void OnExternalThumbURLChanged();
    partial void OnThumbnailChanging(string value);
    partial void OnThumbnailChanged();
    partial void OnTagsChanging(string value);
    partial void OnTagsChanged();
    partial void OnURLChanging(string value);
    partial void OnURLChanged();
    partial void OnAdvChanging(System.Nullable<int> value);
    partial void OnAdvChanged();
    partial void OnFilemd5Changing(string value);
    partial void OnFilemd5Changed();
    partial void OnLanguageChanging(string value);
    partial void OnLanguageChanged();
    partial void OnSubmitStateChanging(string value);
    partial void OnSubmitStateChanged();
    partial void OnAddedDateChanging(System.Nullable<System.DateTime> value);
    partial void OnAddedDateChanged();
    partial void OnSubmitionDateChanging(System.Nullable<System.DateTime> value);
    partial void OnSubmitionDateChanged();
    partial void OnServerNameChanging(string value);
    partial void OnServerNameChanged();
    partial void OnActiveChanging(System.Nullable<bool> value);
    partial void OnActiveChanged();
    partial void OnHasApiChanging(bool value);
    partial void OnHasApiChanged();
    partial void OnPublicStatsChanging(bool value);
    partial void OnPublicStatsChanged();
    partial void OnActivedDateChanging(System.Nullable<System.DateTime> value);
    partial void OnActivedDateChanged();
    partial void OnWarningChanging(System.Nullable<bool> value);
    partial void OnWarningChanged();
    partial void OnRevisionChanging(int value);
    partial void OnRevisionChanged();
    partial void OnSyncForReportChanging(int value);
    partial void OnSyncForReportChanged();
    partial void OnSyncForLeasewebChanging(int value);
    partial void OnSyncForLeasewebChanged();
    partial void OnLinkChanging(string value);
    partial void OnLinkChanged();
    partial void OnLinkSecureChanging(string value);
    partial void OnLinkSecureChanged();
    #endregion
		
		public Game()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameType", DbType="Int")]
		public System.Nullable<int> GameType
		{
			get
			{
				return this._GameType;
			}
			set
			{
				if ((this._GameType != value))
				{
					this.OnGameTypeChanging(value);
					this.SendPropertyChanging();
					this._GameType = value;
					this.SendPropertyChanged("GameType");
					this.OnGameTypeChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameMd5", DbType="VarChar(32)")]
		public string GameMd5
		{
			get
			{
				return this._GameMd5;
			}
			set
			{
				if ((this._GameMd5 != value))
				{
					this.OnGameMd5Changing(value);
					this.SendPropertyChanging();
					this._GameMd5 = value;
					this.SendPropertyChanged("GameMd5");
					this.OnGameMd5Changed();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserId", DbType="Int NOT NULL")]
		public int UserId
		{
			get
			{
				return this._UserId;
			}
			set
			{
				if ((this._UserId != value))
				{
					this.OnUserIdChanging(value);
					this.SendPropertyChanging();
					this._UserId = value;
					this.SendPropertyChanged("UserId");
					this.OnUserIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CategoryId", DbType="Int")]
		public System.Nullable<int> CategoryId
		{
			get
			{
				return this._CategoryId;
			}
			set
			{
				if ((this._CategoryId != value))
				{
					this.OnCategoryIdChanging(value);
					this.SendPropertyChanging();
					this._CategoryId = value;
					this.SendPropertyChanged("CategoryId");
					this.OnCategoryIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Title", DbType="NVarChar(150)")]
		public string Title
		{
			get
			{
				return this._Title;
			}
			set
			{
				if ((this._Title != value))
				{
					this.OnTitleChanging(value);
					this.SendPropertyChanging();
					this._Title = value;
					this.SendPropertyChanged("Title");
					this.OnTitleChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Description", DbType="NText", UpdateCheck=UpdateCheck.Never)]
		public string Description
		{
			get
			{
				return this._Description;
			}
			set
			{
				if ((this._Description != value))
				{
					this.OnDescriptionChanging(value);
					this.SendPropertyChanging();
					this._Description = value;
					this.SendPropertyChanged("Description");
					this.OnDescriptionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Instructions", DbType="NText", UpdateCheck=UpdateCheck.Never)]
		public string Instructions
		{
			get
			{
				return this._Instructions;
			}
			set
			{
				if ((this._Instructions != value))
				{
					this.OnInstructionsChanging(value);
					this.SendPropertyChanging();
					this._Instructions = value;
					this.SendPropertyChanged("Instructions");
					this.OnInstructionsChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ExternalURL", DbType="VarChar(400)")]
		public string ExternalURL
		{
			get
			{
				return this._ExternalURL;
			}
			set
			{
				if ((this._ExternalURL != value))
				{
					this.OnExternalURLChanging(value);
					this.SendPropertyChanging();
					this._ExternalURL = value;
					this.SendPropertyChanged("ExternalURL");
					this.OnExternalURLChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Filename", DbType="VarChar(255)")]
		public string Filename
		{
			get
			{
				return this._Filename;
			}
			set
			{
				if ((this._Filename != value))
				{
					this.OnFilenameChanging(value);
					this.SendPropertyChanging();
					this._Filename = value;
					this.SendPropertyChanged("Filename");
					this.OnFilenameChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Width", DbType="Int")]
		public System.Nullable<int> Width
		{
			get
			{
				return this._Width;
			}
			set
			{
				if ((this._Width != value))
				{
					this.OnWidthChanging(value);
					this.SendPropertyChanging();
					this._Width = value;
					this.SendPropertyChanged("Width");
					this.OnWidthChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Height", DbType="Int")]
		public System.Nullable<int> Height
		{
			get
			{
				return this._Height;
			}
			set
			{
				if ((this._Height != value))
				{
					this.OnHeightChanging(value);
					this.SendPropertyChanging();
					this._Height = value;
					this.SendPropertyChanged("Height");
					this.OnHeightChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ExternalThumbURL", DbType="VarChar(255)")]
		public string ExternalThumbURL
		{
			get
			{
				return this._ExternalThumbURL;
			}
			set
			{
				if ((this._ExternalThumbURL != value))
				{
					this.OnExternalThumbURLChanging(value);
					this.SendPropertyChanging();
					this._ExternalThumbURL = value;
					this.SendPropertyChanged("ExternalThumbURL");
					this.OnExternalThumbURLChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Thumbnail", DbType="VarChar(255)")]
		public string Thumbnail
		{
			get
			{
				return this._Thumbnail;
			}
			set
			{
				if ((this._Thumbnail != value))
				{
					this.OnThumbnailChanging(value);
					this.SendPropertyChanging();
					this._Thumbnail = value;
					this.SendPropertyChanged("Thumbnail");
					this.OnThumbnailChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Tags", DbType="Text", UpdateCheck=UpdateCheck.Never)]
		public string Tags
		{
			get
			{
				return this._Tags;
			}
			set
			{
				if ((this._Tags != value))
				{
					this.OnTagsChanging(value);
					this.SendPropertyChanging();
					this._Tags = value;
					this.SendPropertyChanged("Tags");
					this.OnTagsChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_URL", DbType="Text", UpdateCheck=UpdateCheck.Never)]
		public string URL
		{
			get
			{
				return this._URL;
			}
			set
			{
				if ((this._URL != value))
				{
					this.OnURLChanging(value);
					this.SendPropertyChanging();
					this._URL = value;
					this.SendPropertyChanged("URL");
					this.OnURLChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Adv", DbType="Int")]
		public System.Nullable<int> Adv
		{
			get
			{
				return this._Adv;
			}
			set
			{
				if ((this._Adv != value))
				{
					this.OnAdvChanging(value);
					this.SendPropertyChanging();
					this._Adv = value;
					this.SendPropertyChanged("Adv");
					this.OnAdvChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Filemd5", DbType="VarChar(32)")]
		public string Filemd5
		{
			get
			{
				return this._Filemd5;
			}
			set
			{
				if ((this._Filemd5 != value))
				{
					this.OnFilemd5Changing(value);
					this.SendPropertyChanging();
					this._Filemd5 = value;
					this.SendPropertyChanged("Filemd5");
					this.OnFilemd5Changed();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Language", DbType="VarChar(50)")]
		public string Language
		{
			get
			{
				return this._Language;
			}
			set
			{
				if ((this._Language != value))
				{
					this.OnLanguageChanging(value);
					this.SendPropertyChanging();
					this._Language = value;
					this.SendPropertyChanged("Language");
					this.OnLanguageChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_SubmitState", DbType="VarChar(20)")]
		public string SubmitState
		{
			get
			{
				return this._SubmitState;
			}
			set
			{
				if ((this._SubmitState != value))
				{
					this.OnSubmitStateChanging(value);
					this.SendPropertyChanging();
					this._SubmitState = value;
					this.SendPropertyChanged("SubmitState");
					this.OnSubmitStateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_AddedDate", DbType="DateTime")]
		public System.Nullable<System.DateTime> AddedDate
		{
			get
			{
				return this._AddedDate;
			}
			set
			{
				if ((this._AddedDate != value))
				{
					this.OnAddedDateChanging(value);
					this.SendPropertyChanging();
					this._AddedDate = value;
					this.SendPropertyChanged("AddedDate");
					this.OnAddedDateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_SubmitionDate", DbType="DateTime")]
		public System.Nullable<System.DateTime> SubmitionDate
		{
			get
			{
				return this._SubmitionDate;
			}
			set
			{
				if ((this._SubmitionDate != value))
				{
					this.OnSubmitionDateChanging(value);
					this.SendPropertyChanging();
					this._SubmitionDate = value;
					this.SendPropertyChanged("SubmitionDate");
					this.OnSubmitionDateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ServerName", DbType="VarChar(10)")]
		public string ServerName
		{
			get
			{
				return this._ServerName;
			}
			set
			{
				if ((this._ServerName != value))
				{
					this.OnServerNameChanging(value);
					this.SendPropertyChanging();
					this._ServerName = value;
					this.SendPropertyChanged("ServerName");
					this.OnServerNameChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Active", DbType="Bit")]
		public System.Nullable<bool> Active
		{
			get
			{
				return this._Active;
			}
			set
			{
				if ((this._Active != value))
				{
					this.OnActiveChanging(value);
					this.SendPropertyChanging();
					this._Active = value;
					this.SendPropertyChanged("Active");
					this.OnActiveChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_HasApi", DbType="Bit NOT NULL")]
		public bool HasApi
		{
			get
			{
				return this._HasApi;
			}
			set
			{
				if ((this._HasApi != value))
				{
					this.OnHasApiChanging(value);
					this.SendPropertyChanging();
					this._HasApi = value;
					this.SendPropertyChanged("HasApi");
					this.OnHasApiChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_PublicStats", DbType="Bit NOT NULL")]
		public bool PublicStats
		{
			get
			{
				return this._PublicStats;
			}
			set
			{
				if ((this._PublicStats != value))
				{
					this.OnPublicStatsChanging(value);
					this.SendPropertyChanging();
					this._PublicStats = value;
					this.SendPropertyChanged("PublicStats");
					this.OnPublicStatsChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ActivedDate", DbType="DateTime")]
		public System.Nullable<System.DateTime> ActivedDate
		{
			get
			{
				return this._ActivedDate;
			}
			set
			{
				if ((this._ActivedDate != value))
				{
					this.OnActivedDateChanging(value);
					this.SendPropertyChanging();
					this._ActivedDate = value;
					this.SendPropertyChanged("ActivedDate");
					this.OnActivedDateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Warning", DbType="Bit")]
		public System.Nullable<bool> Warning
		{
			get
			{
				return this._Warning;
			}
			set
			{
				if ((this._Warning != value))
				{
					this.OnWarningChanging(value);
					this.SendPropertyChanging();
					this._Warning = value;
					this.SendPropertyChanged("Warning");
					this.OnWarningChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Revision", DbType="Int NOT NULL")]
		public int Revision
		{
			get
			{
				return this._Revision;
			}
			set
			{
				if ((this._Revision != value))
				{
					this.OnRevisionChanging(value);
					this.SendPropertyChanging();
					this._Revision = value;
					this.SendPropertyChanged("Revision");
					this.OnRevisionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_SyncForReport", DbType="Int NOT NULL")]
		public int SyncForReport
		{
			get
			{
				return this._SyncForReport;
			}
			set
			{
				if ((this._SyncForReport != value))
				{
					this.OnSyncForReportChanging(value);
					this.SendPropertyChanging();
					this._SyncForReport = value;
					this.SendPropertyChanged("SyncForReport");
					this.OnSyncForReportChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_SyncForLeaseweb", DbType="Int NOT NULL")]
		public int SyncForLeaseweb
		{
			get
			{
				return this._SyncForLeaseweb;
			}
			set
			{
				if ((this._SyncForLeaseweb != value))
				{
					this.OnSyncForLeasewebChanging(value);
					this.SendPropertyChanging();
					this._SyncForLeaseweb = value;
					this.SendPropertyChanged("SyncForLeaseweb");
					this.OnSyncForLeasewebChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Link", DbType="VarChar(500)")]
		public string Link
		{
			get
			{
				return this._Link;
			}
			set
			{
				if ((this._Link != value))
				{
					this.OnLinkChanging(value);
					this.SendPropertyChanging();
					this._Link = value;
					this.SendPropertyChanged("Link");
					this.OnLinkChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_LinkSecure", DbType="VarChar(500)")]
		public string LinkSecure
		{
			get
			{
				return this._LinkSecure;
			}
			set
			{
				if ((this._LinkSecure != value))
				{
					this.OnLinkSecureChanging(value);
					this.SendPropertyChanging();
					this._LinkSecure = value;
					this.SendPropertyChanged("LinkSecure");
					this.OnLinkSecureChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
#pragma warning restore 1591
